package com.ruoyi.bst.complaint.mapper;

import java.util.List;
import com.ruoyi.bst.complaint.domain.Complaint;
import com.ruoyi.bst.complaint.domain.ComplaintVO;
import com.ruoyi.bst.complaint.domain.ComplaintQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 投诉Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-31
 */
public interface ComplaintMapper
{
    /**
     * 查询投诉
     *
     * @param id 投诉主键
     * @return 投诉
     */
    ComplaintVO selectComplaintById(Long id);

    /**
     * 查询投诉列表
     *
     * @param query 投诉
     * @return 投诉集合
     */
    List<ComplaintVO> selectComplaintList(@Param("query")ComplaintQuery query);

    /**
     * 新增投诉
     *
     * @param complaint 投诉
     * @return 结果
     */
    int insertComplaint(Complaint complaint);

    /**
     * 批量新增投诉
     */
    int batchInsert(@Param("list") List<? extends Complaint> list);

    /**
     * 批量修改投诉
     */
    int batchUpdate(@Param("list") List<? extends Complaint> list);

    /**
     * 修改投诉
     *
     * @param complaint 投诉
     * @return 结果
     */
    public int updateComplaint(@Param("data") Complaint complaint);

    /**
     * 删除投诉
     *
     * @param id 投诉主键
     * @return 结果
     */
    int deleteComplaintById(Long id);

    /**
     * 批量删除投诉
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteComplaintByIds(Long[] ids);
}
